summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-13 00:59:07 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:07 +0200
commit366ed914ed8bb7dd262fe6baa32093bfe4fd3176 (patch)
tree972522b8390232a4531c34e3e25a5011afc49522 /libraries
parenta7bac2bea2a0c24c3a6b3dc94e1183777282231e (diff)
downloadslackbuilds-366ed914ed8bb7dd262fe6baa32093bfe4fd3176.tar.gz
slackbuilds-366ed914ed8bb7dd262fe6baa32093bfe4fd3176.tar.xz
libraries/perl-IO-stringy: Added to 13.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-IO-stringy/README5
-rw-r--r--libraries/perl-IO-stringy/perl-IO-stringy.SlackBuild103
-rw-r--r--libraries/perl-IO-stringy/perl-IO-stringy.info10
-rw-r--r--libraries/perl-IO-stringy/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/perl-IO-stringy/README b/libraries/perl-IO-stringy/README
new file mode 100644
index 0000000000..0cfe2b3878
--- /dev/null
+++ b/libraries/perl-IO-stringy/README
@@ -0,0 +1,5 @@
+perl-IO-stringy provides modules for performing both traditional and
+object-oriented i/o on things other than normal filehandles; in particular,
+IO::Scalar, IO::ScalarArray, and IO::Lines.
+
+perl-IO-stringy is required by perl-MIME-tools and amavisd-new.
diff --git a/libraries/perl-IO-stringy/perl-IO-stringy.SlackBuild b/libraries/perl-IO-stringy/perl-IO-stringy.SlackBuild
new file mode 100644
index 0000000000..6ba1909992
--- /dev/null
+++ b/libraries/perl-IO-stringy/perl-IO-stringy.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl modules: IO-stringy
+# Home Page http://search.cpan.org/dist/IO-stringy/
+
+# Copyright (c) 2009-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant__AT__mnspace__DOT__net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by the SlackBuilds.org project.
+
+SRCNAM=IO-stringy
+PRGNAM=perl-IO-stringy
+VERSION=2.110
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+DOCS="README COPYING"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make install DESTDIR=$PKG
+
+### putting essential docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Remove perlocal.pod and .packlist from $PKG
+( cd $PKG
+ find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-IO-stringy/perl-IO-stringy.info b/libraries/perl-IO-stringy/perl-IO-stringy.info
new file mode 100644
index 0000000000..41f9f0cf13
--- /dev/null
+++ b/libraries/perl-IO-stringy/perl-IO-stringy.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-IO-stringy"
+VERSION="2.110"
+HOMEPAGE="http://search.cpan.org/dist/IO-stringy/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DS/DSKOLL/IO-stringy-2.110.tar.gz"
+MD5SUM="2e6a976cfa5521e815c1fdf4006982de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/libraries/perl-IO-stringy/slack-desc b/libraries/perl-IO-stringy/slack-desc
new file mode 100644
index 0000000000..71277d1dd2
--- /dev/null
+++ b/libraries/perl-IO-stringy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-IO-stringy: perl-IO-stringy (IO::stringy)
+perl-IO-stringy:
+perl-IO-stringy: perl-IO-stringy provides perl modules for performing both
+perl-IO-stringy: traditional and object-oriented i/o on things other than
+perl-IO-stringy: normal filehandles.
+perl-IO-stringy:
+perl-IO-stringy:
+perl-IO-stringy:
+perl-IO-stringy: Homepage: http://search.cpan.org/dist/IO-stringy/
+perl-IO-stringy:
+perl-IO-stringy: